ConnectionAttributes (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms.management.server

## Class ConnectionAttributes

- java.lang.Object
- - com.sun.messaging.jms.management.server.ConnectionAttributes

-     public class ConnectionAttributes
      extends java.lang.Object

  Class containing information on connection attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_ID` Client ID
    `static java.lang.String` | `CLIENT_PLATFORM` Client Platform
    `static java.lang.String` | `CONNECTION_ID` Connection ID
    `static java.lang.String` | `CREATION_TIME` Creation Timestamp
    `static java.lang.String` | `HOST` Connection Host
    `static java.lang.String` | `NUM_CONNECTIONS` Number of connections
    `static java.lang.String` | `NUM_CONNECTIONS_OPENED` Number of connections created
    `static java.lang.String` | `NUM_CONNECTIONS_REJECTED` Number of connections rejected
    `static java.lang.String` | `NUM_CONSUMERS` Number of consumers
    `static java.lang.String` | `NUM_PRODUCERS` Number of producers
    `static java.lang.String` | `PORT` Connection Port
    `static java.lang.String` | `SERVICE_NAME` Service name
    `static java.lang.String` | `USER` User name.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_ID

          public static final java.lang.String CONNECTION_ID

      Connection ID
      See Also:
        Constant Field Values

    - #### CLIENT_ID

          public static final java.lang.String CLIENT_ID

      Client ID
      See Also:
        Constant Field Values

    - #### CLIENT_PLATFORM

          public static final java.lang.String CLIENT_PLATFORM

      Client Platform
      See Also:
        Constant Field Values

    - #### HOST

          public static final java.lang.String HOST

      Connection Host
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS

          public static final java.lang.String NUM_CONNECTIONS

      Number of connections
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS_OPENED

          public static final java.lang.String NUM_CONNECTIONS_OPENED

      Number of connections created
      See Also:
        Constant Field Values

    - #### NUM_CONNECTIONS_REJECTED

          public static final java.lang.String NUM_CONNECTIONS_REJECTED

      Number of connections rejected
      See Also:
        Constant Field Values

    - #### NUM_CONSUMERS

          public static final java.lang.String NUM_CONSUMERS

      Number of consumers
      See Also:
        Constant Field Values

    - #### NUM_PRODUCERS

          public static final java.lang.String NUM_PRODUCERS

      Number of producers
      See Also:
        Constant Field Values

    - #### PORT

          public static final java.lang.String PORT

      Connection Port
      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final java.lang.String SERVICE_NAME

      Service name
      See Also:
        Constant Field Values

    - #### CREATION_TIME

          public static final java.lang.String CREATION_TIME

      Creation Timestamp
      See Also:
        Constant Field Values

    - #### USER

          public static final java.lang.String USER

      User name.
      See Also:
        Constant Field Values

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.